﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;

namespace DemoApp
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void OnClick(object sender, RoutedEventArgs e)
        {
            DateTime seldate = dtpicker.SelectedDate ?? DateTime.Today;
            ChineseLunisolarCalendar cncal = new ChineseLunisolarCalendar();
            // 获取农历年份
            int y = cncal.GetYear(seldate);
            year.Text = y.ToString();
            // 获取干支纪年值
            int a = cncal.GetSexagenaryYear(seldate);
            // 获取天干、地支
            天干 tg = (天干)cncal.GetCelestialStem(a);
            地支 dz = (地支)cncal.GetTerrestrialBranch(a);

            string msg = $"{tg}{dz}";
            ganzhi.Text = msg;
        }
    }

    enum 天干
    {
        甲 = 1,
        乙,
        丙,
        丁,
        戊,
        己,
        庚,
        辛,
        壬,
        癸
    }

    enum 地支
    {
        子 = 1,
        丑,
        寅,
        卯,
        辰,
        巳,
        午,
        未,
        申,
        酉,
        戌,
        亥
    }
}
